import thread, time, string, os
from socket import *

from BankServer import *
from Bank import *


# Software zum Planspiel zum Thema Datenschutz
#
# (C) 2005-2007 Andreas Gramm - http://andreas.grammm.de
#
# Das Planspiel basiert auf der in den "Materialien zum Unterricht des Hessischen
# Instituts fuer Bildungsplanung und Schulentwicklung" 1991 in Wiesbaden veroeffentlichten
# Vorlage "Jugend im Datennetz". Beschreibung des Planspiels und Materialien der Vorlage:
#   http://ddi.informatik.hu-berlin.de/schule/unterrichtsmaterial/JugendImDatennetz.pdf
# Download der an die Software-Variante angepasste Materialien unter:
#   http://www.bebis.de/zielgruppen/lehramtsanwaerterinnen/informatik/Gesellschaft_und_Informatik/
# Hinweise zum Einsatz der Software in der Datei
#   'Hinweise zur Benutzung von Bankserver und Kassenterminals.txt'.
#
# Bugreports und weitere Anregungen willkommen an: planspiel@grammm.de


# S T A R T E   D I E   B A N K
# Dieses Skript erzeugt die Konten fuer die vier Kassen-Stationen,
# falls diese nicht bereits bestehen, und startet eine Bank sowie einen
# Bankserver-Dienst, ueber den die Kassenterminals mit der Bank kommunizieren.


Konto(101).Einrichten("Supermarkt", 1111)
Konto(102).Einrichten("Kiosk", 2222)
Konto(103).Einrichten("Bibliothek", 3333)
Konto(104).Einrichten("Diskothek", 4444)

meineBank = Bank()
thread.start_new(BankServer, (meineBank,))
BankGUI(meineBank)
mainloop()
