from os import * 
import string

from Code import *

# Software zum Planspiel zum Thema Datenschutz
#
# (C) 2005-2007 Andreas Gramm - http://andreas.grammm.de
#
# Das Planspiel basiert auf der in den "Materialien zum Unterricht des Hessischen
# Instituts fuer Bildungsplanung und Schulentwicklung" 1991 in Wiesbaden veroeffentlichten
# Vorlage "Jugend im Datennetz". Beschreibung des Planspiels und Materialien der Vorlage:
#   http://ddi.informatik.hu-berlin.de/schule/unterrichtsmaterial/JugendImDatennetz.pdf
# Download der an die Software-Variante angepasste Materialien unter:
#   http://www.bebis.de/zielgruppen/lehramtsanwaerterinnen/informatik/Gesellschaft_und_Informatik/
# Hinweise zum Einsatz der Software in der Datei
#   'Hinweise zur Benutzung von Bankserver und Kassenterminals.txt'.
#
# Bugreports und weitere Anregungen willkommen an: planspiel@grammm.de


# CODE - Zusatzfunktion zum Chiffrieren und Dekodieren von PINs.
# Starten Sie dieses Programm aus dem Ordner Bank, um vergessene PINs zu ermitteln.


def encode(msg):
    code = ""
    i = 8
    for c in str(msg):
        code = code + chr(ord(c)+((i*3)%10))
        i *=7
    return code


if __name__ == "__main__":
    fileprefix = "Konto_"
    filepostfix = ".txt"

    knr = input("Kontonummer: ")

    try:
        datei = open(fileprefix + str(knr) + filepostfix, O_RDWR)
        KontoLog = read(datei, 100000)
        Kopfzeile = KontoLog.split('\n')[1]
        nr = Kopfzeile.split('Konto ')[1].split(' eingerichtet')[0]
        if int(knr) != int(nr):
            print "Konnte Datei fuer Konto " + str(knr) + " nicht lesen: Verschiedene Kontonummern"
        code = Kopfzeile.split('PIN: ')[1].split(', Stand:')[0]
        pin = ""
        i = 8
        for c in code:
            pin = pin + chr(ord(c)-((i*3)%10))
            i *= 7
        print pin
    except OSError:
        print "Konnte Datei fuer Konto " + str(knr) + " nicht lesen."
    dummy_in = raw_input("Bitte druecken Sie die Eingabetaste um das Programm zu beenden.")    



